> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/integration/

## OpenAPI

````json POST /v2/integration/
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/integration/": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2IntegrationPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2IntegrationPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2IntegrationPostRequest": {
        "type": "object",
        "properties": {
          "integrationBody": {
            "$ref": "#/components/schemas/alertserviceCreateIntegrationBody"
          }
        },
        "additionalProperties": false,
        "required": [
          "integrationBody"
        ]
      },
      "v2IntegrationPostResponse": {
        "type": "object",
        "properties": {
          "integration": {
            "$ref": "#/components/schemas/alertserviceIntegration"
          }
        },
        "additionalProperties": false
      },
      "alertserviceCreateIntegrationBody": {
        "type": "object",
        "properties": {
          "createdBy": {
            "type": "string",
            "example": "example string",
            "description": "ID of the user who created the integration"
          },
          "createdOn": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "details": {
            "$ref": "#/components/schemas/alertserviceIntegrationDetails"
          },
          "enterprise": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "ID of the enterprise (required)"
          },
          "integrationType": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "Type of integration (required)"
          },
          "isActive": {
            "type": "boolean",
            "example": true,
            "description": "Indicates whether the integration is active"
          },
          "nickName": {
            "type": "string",
            "example": "example string",
            "description": "Name of the integration (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "enterprise",
          "integrationType",
          "nickName"
        ]
      },
      "alertserviceIntegration": {
        "type": "object",
        "properties": {
          "createdBy": {
            "type": "string",
            "example": "example string"
          },
          "createdOn": {
            "type": "string",
            "example": "example string"
          },
          "details": {
            "$ref": "#/components/schemas/alertserviceIntegrationDetails"
          },
          "enterpriseId": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "isActive": {
            "type": "boolean",
            "example": true
          },
          "lastScanned": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "last scanned time for integrations (zendesk)"
          },
          "nickName": {
            "type": "string",
            "example": "example string"
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "alertserviceIntegrationDetails": {
        "type": "object",
        "properties": {
          "opsgenieKey": {
            "type": "string",
            "example": "example string"
          },
          "opsrampDetails": {
            "type": "string",
            "example": "example string"
          },
          "pagerdutyRoutingKey": {
            "type": "string",
            "example": "example string"
          },
          "webhookUrl": {
            "type": "string",
            "example": "example string"
          },
          "zendeskDetails": {
            "$ref": "#/components/schemas/alertserviceZendeskDetails"
          }
        },
        "additionalProperties": false
      },
      "alertserviceZendeskDetails": {
        "type": "object",
        "properties": {
          "zendeskApiToken": {
            "type": "string",
            "example": "example string",
            "description": "zendesk api token (required)"
          },
          "zendeskAssigneeId": {
            "type": "string",
            "example": "example string",
            "description": "zendesk assignee id (required)"
          },
          "zendeskBaseUrl": {
            "type": "string",
            "example": "example string",
            "description": "zendesk base url (required)"
          },
          "zendeskEmail": {
            "type": "string",
            "example": "example string",
            "description": "zendesk email (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "zendeskApiToken",
          "zendeskAssigneeId",
          "zendeskBaseUrl",
          "zendeskEmail"
        ]
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

